Modules
POST
/app-api/v1/auth/login/phoneLogin with phone and password (CI login-other)
Parameters
| Name | In | Required | Description |
|---|---|---|---|
| x-request-id | header | No | Optional correlation id. Generated when omitted. |
Request Body
PhoneLoginDtoobject
deviceTypestring
deviceModelstring
deviceVersionstring
deviceIMEIstring
deviceTokenstring
phonestring
passwordstring
Required: deviceType, deviceModel, deviceVersion, deviceIMEI, deviceToken, phone, password
Related Schemas
PhoneLoginDto
deviceTypestring
deviceModelstring
deviceVersionstring
deviceIMEIstring
deviceTokenstring
phonestring
passwordstring
Required: deviceType, deviceModel, deviceVersion, deviceIMEI, deviceToken, phone, password
Code samples
Generated from the current environment and the request configured in the Try-it panel.
curl -X POST 'https://app-api.crwilladmin.com/app-api/v1/auth/login/phone' \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
-H 'apptype: android' \
-H 'appver: 1.0.0' \
-H 'webver: 1.0.0' \
-H 'portalver: 1.0.0' \
-H 'x-request-id: 00000000-0000-4000-8000-000000000000' \
-d '{
"deviceType": "android",
"deviceModel": "Samsung Galaxy S20",
"deviceVersion": "10.0.0",
"deviceIMEI": "123456789012345",
"deviceToken": "123456789012345",
"phone": "9808757580",
"password": "Student@123"
}' \